use crate::*;

use std::sync::Arc;

use super::super::traits::*;

pub struct MapRightSide {
    snippet: Arc<GuiSnippet>,
}

impl MapRightSide {
    pub fn new(commands: &mut Commands, gui_handler: &mut GuiHandler, file: &str) -> Result<Self> {
        let snippet = GuiSnippet::from_str(commands, gui_handler, file)?;

        Ok(Self { snippet })
    }
}

impl RightSide for MapRightSide {
    fn refresh(
        &mut self,
        _commands: &mut Commands,
        _gui_handler: &mut GuiHandler,
        _hero: Entity,
    ) -> Result<()> {
        Ok(())
    }

    fn base(&self) -> &Arc<GuiSnippet> {
        &self.snippet
    }
}
